# Sablotron Guide and Reference

SablotParseBuffer | Functions

#### Summary

Parses a XML string into the internal structure.

#### Syntax

    int SablotParseBuffer(SablotSituation S,
           const char *buffer,
           SDOM_Document *D);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | Situation handle
`buffer` | `const char*` | string to be parsed
`D` | `SDOM_Document*` | The node handle goes here

#### Description

Sablotron parses given string and creates a new document handle. The last parameter obtains the handle. Function returns FALSE on success.

#### See Also

Groups | [ Functions ]
Entries | [ SDOM_Document | SablotSituation ]

© 2002-2003 Ginger Alliance
revision 03-06-30
This page was generated by APIDOC